Subject: Re: [manet] AODV or DSR

From: Vítor Jesus <[email-masked]>
Date: Mon, 6 Jun 2005 17:42:42 +0100 (BST)

The way I see it (mr Perkins and mr Maltz know better
than I), the actual _ONLY_ difference between DSR and
AODV is source-routing/forwarding table. 

The thing is that, avoiding source-routing took so
many changes and work-arounds, that, in the end, they
became two completely different routing protocols.

Besides, the sequence numbers concept in AODV
(freshness, loop-avoidance) is a (brilliant) side
effect that came up in between.

But I personally consider AODV as a descendant of DSR
(or a mix between DSR and DSDV). Doesnt mean AODV is
"better" but, chronologically and architecturally, I
consider AODV descends from DSR.

Just for an opinion.
--Vítor JS

--- "Charles E. Perkins" <[email-masked]>
wrote:

> 
> Hello Rafael,
> 
> Take a look at AODVbis, which already specifies this
> operation of
> recording the paths within RREQ and RREP messages. 
> We published
> a paper that showed performance improvements
> resulting from this,
> but I don't have the citation handy.  Chris Schiflet
> was the author.
> 
> Regards,
> Charlie P.
> 
> 
> Rafael Paoliello Guimaraes wrote:
> 
> > Hello all,
> >
> > I was simulating some extensions for the AODV
> protocol and in one of
> > this extensions I would need to record all the
> path that a RREQ goes
> > through and then send it back to the source node
> through RREP. But then
> > I was thinking that if it shouldn't be the case of
> using DSR instead.
> > Isn't this the big difference between DSR and AODV
> (route recording)? Or
> > are there any other relevant differences that I am
> not taking into 
> > account?
> >
> > Just to complete, what is the actual state of DSR?
> It's not an RFC yet,
> > is it? Was its standarization abandonned?
> >
> > Cheers,
> >
> > ===========================================
> >  Rafael Paoliello Guimaraes
> >  PhD Student - Computer Networking Group
> >  Department of Computer Architecture (DAC)
> >  Polytechnic University of Catalonia (UPC)
> >  Phone: +34-934017187   Fax: +34-934017055
> >  URL: http://people.ac.upc.es/rpaoliel
> > ===========================================
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> 
> 
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

___________________________________________________________ 
Yahoo! Messenger - NEW crystal clear PC to PC calling worldwide with voicemail http://uk.messenger.yahoo.com

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet